Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class ScopedLocalVariable

    java.lang.Object
      com.sun.squawk.ScopedLocalVariable

    public final class ScopedLocalVariable

extends Object

An instance of `ScopedLocalVariable` encapsulates the symbolic information for a local variable that has a limited scope in a Squawk bytecode method.

Field Summary
`int` | `length` The offset from 'start' at which the scope of the local variable ends.
`String` | `name` The name of the local variable.
`int` | `slot` The logical slot index of the local variable.
`int` | `start` The address at which the scope of the local variable starts.
`Klass` | `type` The type of the local variable.

Constructor Summary
`ScopedLocalVariable(String name, Klass type, int slot, int start, int length)` Creates a `ScopedLocalVariable` instance representing the symbolic information for a local variable in a Squawk bytecode method.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public final String name

  The name of the local variable.

### type

    public final Klass type

  The type of the local variable.

### slot

    public final int slot

  The logical slot index of the local variable.

### start

    public final int start

  The address at which the scope of the local variable starts.

### length

    public final int length

  The offset from 'start' at which the scope of the local variable ends.

Constructor Detail

### ScopedLocalVariable

    public ScopedLocalVariable(String name,
                               Klass type,
                               int slot,
                               int start,
                               int length)

  Creates a `ScopedLocalVariable` instance representing the symbolic information for a local variable in a Squawk bytecode method.

  Parameters:
    `name` - the local variable's name
    `type` - the local variable's type
    `slot` - the local variable's logical slot index
    `start` - the address at which the scope of the local variable starts
    `length` - the offset from `start` at which the scope of the local variable ends

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"